Skip to main content
POST

Authorizations

Authorization
string
header
required

Use your OAuth client credentials to obtain a short-lived Bearer token from POST /oauth/token.

Body

application/json
wallet_id
string
required

Business wallet ID

customer_id
string
required

Customer receiving the payout. The customer must belong to your business and have verification_status=VERIFIED. Both type=individual (verified through the legacy KYC flow) and type=business (verified through the KYB flow) are accepted.

method
enum<string>
required

Payout method

Available options:
bank_transfer,
interac,
crypto,
wire,
ach
from_currency_id
string
required

Currency the business pays with (ID or code)

to_currency_id
string
required

Currency the recipient gets (ID or code)

from_amount
number

Amount being sent (omit if using to_amount)

to_amount
number

Exact amount the recipient should receive

type
enum<string>

Required if method is ach/wire

Available options:
individual,
business
phone_number
string
email
string

Required for interac

interac_first_name
string

Required for interac

interac_last_name
string

Required for interac

bank_id
string

Required when method=bank_transfer and currency=NGN

account_number
string

Required for bank_transfer/ach/wire when currency not EUR/CAD

account_name
string

Required for bank_transfer/ach/wire when currency is USD/GBP/EUR

account_type
enum<string>

Required for ach/wire when currency=USD

Available options:
checking,
savings
bank_name
string

Required for ach/wire when currency=USD

routing_number
string

Required for ach/wire when currency=USD

swift_code
string

Required for wire when currency=USD

sort_code
string

Required for bank_transfer when currency=GBP

iban
string

Required for bank_transfer when currency=EUR

bic_code
string

Required for bank_transfer when currency=EUR

country
string

Required for bank_transfer/ach/wire when currency is USD/EUR/GBP

state
string

Required for ach/wire when currency=USD

street
string

Required for bank_transfer/ach/wire when currency is USD/EUR/GBP

city
string

Required for bank_transfer/ach/wire when currency is USD/EUR/GBP

zip_code
string

Required for bank_transfer/ach/wire when currency is USD/EUR/GBP

country_id
string

Optional country helper

wallet_address
string

Required for crypto

wallet_token
enum<string>

Required for crypto

Available options:
USDT,
USDC
wallet_network
enum<string>

Required for crypto

Available options:
BSC_MAINNET,
ETHEREUM_MAINNET,
TRON_MAINNET,
MATIC_MAINNET
note
string

Narration; defaults to business name if empty

Response

Payout initiated successfully

message
string
required
transaction
object
required